<?php
#----00--00----------------------------------#
#----00---000----000000-----000000-#
#----00---0000--00----00----00---00--#
#----00---0000--00-----------00---------#
#----00---0000--000000----00000--#
#----00---000---00-----------00---------#
#----00--00-----00---00-----00---------#
#----0000-------000000----00--------#
#################################################
##                    W@P-MOTOR 16 - 17 DOWNLOAD CENTER MOD Def                     ##
##                                      Дата выхода 5 февраля 2008 г.                                        ##
##                                         Авторы: XsErG, VantuZ, Def                                            ##
##                                             Связь: http://wapruk.ru                                                  ##
#################################################
Error_Reporting(E_ALL & ~E_NOTICE);
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

include "inc/func.inc";
include_once("inc/conf.inc");

//////////////////////////////////////////////////////////////////////////////////////

$text = @file("../local/profil/$log.prof");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);
$privat=trim($udata[10]);}
if (!$log=="" && !md5($par)=="" && md5($par)==$provpar && $log==$provlog) {
echo"Привет, $log<br>";} else{ print"Привет, $config_guestsuser<br>"; }
///////////////////////////////////////////////////////////////////////////
extract($HTTP_GET_VARS);
extract($HTTP_POST_VARS);
//////////////////////////////////////////////////////////////////////////
$d=rtrim(dirname($_SERVER['PHP_SELF']), '/\\');
$host=$_SERVER['SERVER_NAME'];

## Текущая директория
$did = isset($_GET['did']) ? check_fulls($_GET['did']) : '';
## Предыдущая папка
$prev_dir = dirname($did);

if(!isset($did)){$did="";}
$did=str_replace("../","",$did);
$did=str_replace("./","",$did);
$did=str_replace("..","",$did);
$did=str_replace(".","",$did);
if (is_dir("files$did")==false){
echo "<center><font color=\"red\">Запрашиваемой дирректории не существует!!!</font></center><br/><br/>";
echo "</div><div>[<a href='index.php?'>К разделам</a>]<br>";
echo "</div><div>[<a href='../index.php'>На главную</a>]";
include_once"../themes/$config_themes/foot.php";
exit;}
if(!isset($p)){$p="1";}
if($p==1){$min=0;}
else{$min=$col * ($p-1);}
$max=$min+$col-1;
$next=$p+1;
$prev=$p-1;

if($p<1){echo"Запрашиваемой страницы не существует";}
list($tip,$oform)=file_type("files$did");
echo "</div><div class=b><center><img src='inc/img/down.png' alt=''> <a href='./'>$d_name</a> <img src='inc/img/down.png' alt=''></center></div><div>";
if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog) {
if ($dostup==101){
if (file_exists("files$did/guest.offs")){echo '<font color="red">Папка закрыта для скачивания гостям!</font><br />';}
if ($sk_guest=="off"){echo '<font color="red">Загруз закрыт для скачивания гостям!</font>';}
}}
echo "<hr>";
echo "<img src='inc/img/new.gif' alt=''> <a href='new.php?did=".$did."'>Новые файлы</a><b> [ <a href='new_help.php'><img src='inc/img/help.gif' alt=' ? '></a> ] </b><br>";
echo "<img src='inc/img/top.gif' alt=''> <a href='top.php?did=".$did."'>TOP $col_top</a><br>";
echo "<img src='inc/img/find.gif' alt=''> <a href='search.php'>Поиск файлов</a><br/><div class=\"a\"></div>";
if(isset($act)){

/////////////////////// определение размера скачиваемой картинки //////////////////////////
if($act=="img"){
if($neww=="" && $newh==""){
$sizes=explode("х", $size_im);
$neww=$sizes[0];
$newh=$sizes[1];}
header ("Location: downimg.php?did=$did&im=$fid&id=$id&neww=$neww&newh=$newh");}
////////////////////////////////////////////////////////////////////////////////////////////


if($act=="desc"){
if(@is_file("files$did/$fid")){

$dik=str_replace("/", "", $did);
if (is_file("baze/$dik.baz")){
$fn=file("baze/$dik.baz");
	foreach ($fn as $n=>$f){
		$data = explode("|",$fn[$n]);
		if (trim($data[11])=="$did/$fid"){$id=$data[0];
		$format=$data[10];
		$nam=$data[8];
		$name=$data[9];
		$downs=$data[1];
		$downms=$data[2];
		$namelog=$data[4];
		if($data[5]==''){$data[5] = 0;}
		$datesk=date("d.m.Y - H:i",$data[5]);
		$datedob=date("d.m.Y - H:i",$data[6]);
		$siz=number_format(($data[7]/1024),2);}
	}
}
$datpr = date("d.m.Y - H:i",0);
///////////////////////////////////////////////////////для партнерок//////////
if(is_file("files$did/$fid.off")){echo '<font color="red">Внимание!!! Данный файл не доступен для скачивания.<br /> Скачать его, и многое другое, вы можете</font> <a href="http://'.$partner.'">здесь!</a><hr>';}
if($isset=='addpartner'){
echo '<font color="red"><b>Файл успешно добавлен в партнерскую программу!</b></font><br/>';}
if($isset=='errorpartner'){
echo '<font color="red"><b>Ошибка!</b></font><br/>';}
if($isset=='delpartner'){
echo '<font color="red"><b>Файл удален из партнерской программы!</b></font><br/>';}
if($nam == ''){$nam = $name;}
echo 'Название: <b><font color="#cc99ff">'.$nam.' </b></font>';

if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if ($dostup==101){
if(file_exists("files$did/$fid.off")!==true){echo"| <a href='inc/dir.php?did=$did&fid=$fid&partner=1&SID=$SID'>Вкл. в партнерку</a><br>";}else{echo"| <a href='inc/dir.php?did=$did&fid=$fid&partner=2&SID=$SID'>Выкл. из партнерки</a><br>";
}}}
/////////////////////////////////////////////////////
if($tip!=="img"){
	if($f_scr!=='1'){
if($tip=="file"){
		if(file_exists("files$did/$name.jpg")){
			echo " [<a href='img.php?did=files$did&im=$name.jpg&neww=$w_g&newh=$h_g'>Скриншот</a>]";
		}if(file_exists("files$did/$name.gif")){
			echo " [<a href='img.php?did=files$did&im=$name.gif&neww=$w_g&newh=$h_g'>Скриншот</a>]";
		}if(file_exists("files$did/$name.png")){
			echo " [<a href='img.php?did=files$did&im=$name.png&neww=$w_g&newh=$h_g'>Скриншот</a>]";
		}if(file_exists("files$did/$name.jpeg")){
			echo " [<a href='img.php?did=files$did&im=$name.jpeg&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
		if(file_exists("files$did/$fid.jpg")){
			echo " [<a href='img.php?did=files$did&im=$fid.jpg&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
		if(file_exists("files$did/$fid.gif")){
			echo " [<a href='img.php?did=files$did&im=$fid.gif&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
		if(file_exists("files$did/$fid.png")){
			echo " [<a href='img.php?did=files$did&im=$fid.png&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
		if(file_exists("files$did/$fid.jpeg")){
			echo " [<a href='img.php?did=files$did&im=$fid.jpeg&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
	}
if($tip=="java"){if(file_exists("files$did/$name.jpg")){
			echo " [<a href='img.php?did=files$did&im=$name.jpg&neww=$w_g&newh=$h_g'>Скриншот</a>]";
		}if(file_exists("files$did/$name.gif")){
			echo " [<a href='img.php?did=files$did&im=$name.gif&neww=$w_g&newh=$h_g'>Скриншот</a>]";
		}if(file_exists("files$did/$name.png")){
			echo " [<a href='img.php?did=files$did&im=$name.png&neww=$w_g&newh=$h_g'>Скриншот</a>]";
		}if(file_exists("files$did/$name.jpeg")){
			echo " [<a href='img.php?did=files$did&im=$name.jpeg&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
		if(file_exists("files$did/$fid.jpg")){
			echo " [<a href='img.php?did=files$did&im=$fid.jpg&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
		if(file_exists("files$did/$fid.gif")){
			echo " [<a href='img.php?did=files$did&im=$fid.gif&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
		if(file_exists("files$did/$fid.png")){
			echo " [<a href='img.php?did=files$did&im=$fid.png&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
		if(file_exists("files$did/$fid.jpeg")){
			echo " [<a href='img.php?did=files$did&im=$fid.jpeg&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
	}
if($tip=="video"){if(file_exists("files$did/$name.jpg")){
			echo " [<a href='img.php?did=files$did&im=$name.jpg&neww=$w_g&newh=$h_g'>Скриншот</a>]";
		}if(file_exists("files$did/$name.gif")){
			echo " [<a href='img.php?did=files$did&im=$name.gif&neww=$w_g&newh=$h_g'>Скриншот</a>]";
		}if(file_exists("files$did/$name.png")){
			echo " [<a href='img.php?did=files$did&im=$name.png&neww=$w_g&newh=$h_g'>Скриншот</a>]";
		}if(file_exists("files$did/$name.jpeg")){
			echo " [<a href='img.php?did=files$did&im=$name.jpeg&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
		if(file_exists("files$did/$fid.jpg")){
			echo " [<a href='img.php?did=files$did&im=$fid.jpg&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
		if(file_exists("files$did/$fid.gif")){
			echo " [<a href='img.php?did=files$did&im=$fid.gif&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
		if(file_exists("files$did/$fid.png")){
			echo " [<a href='img.php?did=files$did&im=$fid.png&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
		if(file_exists("files$did/$fid.jpeg")){
			echo " [<a href='img.php?did=files$did&im=$fid.jpeg&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
	}
if($tip=="themes"){if(file_exists("files$did/$name.jpg")){
			echo " [<a href='img.php?did=files$did&im=$name.jpg&neww=$w_g&newh=$h_g'>Скриншот</a>]";
		}if(file_exists("files$did/$name.gif")){
			echo " [<a href='img.php?did=files$did&im=$name.gif&neww=$w_g&newh=$h_g'>Скриншот</a>]";
		}if(file_exists("files$did/$name.png")){
			echo " [<a href='img.php?did=files$did&im=$name.png&neww=$w_g&newh=$h_g'>Скриншот</a>]";
		}if(file_exists("files$did/$name.jpeg")){
			echo " [<a href='img.php?did=files$did&im=$name.jpeg&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
		if(file_exists("files$did/$fid.jpg")){
			echo " [<a href='img.php?did=files$did&im=$fid.jpg&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
		if(file_exists("files$did/$fid.gif")){
			echo " [<a href='img.php?did=files$did&im=$fid.gif&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
		if(file_exists("files$did/$fid.png")){
			echo " [<a href='img.php?did=files$did&im=$fid.png&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
		if(file_exists("files$did/$fid.jpeg")){
			echo " [<a href='img.php?did=files$did&im=$fid.jpeg&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
	}}else{
if($tip=="file"){
		if(file_exists("files$did/$name.jpg")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$name.jpg&neww=$w_g&newh=$h_g' alt=''><br>";
		}if(file_exists("files$did/$name.gif")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$name.gif&neww=$w_g&newh=$h_g' alt=''><br>";
		}if(file_exists("files$did/$name.png")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$name.png&neww=$w_g&newh=$h_g' alt=''><br>";
		}if(file_exists("files$did/$name.jpeg")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$name.jpeg&neww=$w_g&newh=$h_g' alt=''><br>";}
		if(file_exists("files$did/$fid.jpg")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$fid.jpg&neww=$w_g&newh=$h_g' alt=''><br>";}
		if(file_exists("files$did/$fid.gif")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$fid.gif&neww=$w_g&newh=$h_g' alt=''><br>";}
		if(file_exists("files$did/$fid.pgn")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$fid.png&neww=$w_g&newh=$h_g' alt=''><br>";}
		if(file_exists("files$did/$fid.jpeg")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$fid.jpeg&neww=$w_g&newh=$h_g' alt=''><br>";}
	}
if($tip=="java"){if(file_exists("files$did/$name.jpg")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$name.jpg&neww=$w_g&newh=$h_g' alt=''><br>";
		}if(file_exists("files$did/$name.gif")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$name.gif&neww=$w_g&newh=$h_g' alt=''><br>";
		}if(file_exists("files$did/$name.png")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$name.png&neww=$w_g&newh=$h_g' alt=''><br>";
		}if(file_exists("files$did/$name.jpeg")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$name.jpeg&neww=$w_g&newh=$h_g' alt=''><br>";}
		if(file_exists("files$did/$fid.jpg")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$fid.jpg&neww=$w_g&newh=$h_g' alt=''><br>";}
		if(file_exists("files$did/$fid.gif")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$fid.gif&neww=$w_g&newh=$h_g' alt=''><br>";}
		if(file_exists("files$did/$fid.pgn")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$fid.png&neww=$w_g&newh=$h_g' alt=''><br>";}
		if(file_exists("files$did/$fid.jpeg")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$fid.jpeg&neww=$w_g&newh=$h_g' alt=''><br>";}
	}
if($tip=="themes"){if(file_exists("files$did/$name.jpg")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$name.jpg&neww=$w_g&newh=$h_g' alt=''><br>";
		}if(file_exists("files$did/$name.gif")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$name.gif&neww=$w_g&newh=$h_g' alt=''><br>";
		}if(file_exists("files$did/$name.png")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$name.png&neww=$w_g&newh=$h_g' alt=''><br>";
		}if(file_exists("files$did/$name.jpeg")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$name.jpeg&neww=$w_g&newh=$h_g' alt=''><br>";}
		if(file_exists("files$did/$fid.jpg")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$fid.jpg&neww=$w_g&newh=$h_g' alt=''><br>";}
		if(file_exists("files$did/$fid.gif")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$fid.gif&neww=$w_g&newh=$h_g' alt=''><br>";}
		if(file_exists("files$did/$fid.pgn")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$fid.png&neww=$w_g&newh=$h_g' alt=''><br>";}
		if(file_exists("files$did/$fid.jpeg")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$fid.jpeg&neww=$w_g&newh=$h_g' alt=''><br>";}
		}}
if($tip=="video"){

if(get_loaded_extensions(ffmpeg_movie)==true){
$movie = new ffmpeg_movie('files'.$did.'/'.$fid);
$kol_kadr = $movie->getFrameCount();
$kol_kadr=ceil($kol_kadr/2);
$frame = rand(1,$kol_kadr);
$frame = 10;
$fps = $movie->getFrameRate();
$fps = strtok($fps,'.');
$fh = $movie->getFrameHeight();
$fw = $movie->getFrameWidth();
$kodek = $movie->getVideoCodec();
$mute = $movie->hasAudio();
$duration = $movie->getDuration();
$duration = strtok($duration,'.');
if ($duration>60){
    $minutes = floor($movie->getDuration()/60);
    $seconds = $movie->getDuration()%60;
}
$img = ('files'.$did.'/'.$fid.'.jpg');
$ff_frame = $movie->getFrame($frame);
if ($ff_frame) {
    $gd_image = $ff_frame->toGDImage();
    if ($gd_image) {
        imagepng($gd_image, "files$did/$fid.jpg");
        imagedestroy($gd_image);
    }
}
if ($minutes<1) {
echo '<br />Длительность: ' .$duration.' секунд.<br />';
} else {
echo '<br />Длительность: ' .$minutes.' мин '.$seconds.' секунд.<br />';
}
echo 'Размер: ' .$fw.'x'.$fh.' <br />';
echo 'Кодек: ' .$kodek.' <br />';
if ($mute == '') {
echo 'Звук: нет <br />';
} else {
echo 'Звук: да <br />';
}
echo 'FPS:' .$fps.' кадров/сек<br />';
//показываем только что сгенерированный скриншот */
echo "<br>Скриншот:<br /> <img src='img.php?did=files$did&im=$fid.jpg&neww=$w_g&newh=$h_g' alt=''><br>";
}
if(file_exists("files$did/$name.jpg")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$name.jpg&neww=$w_g&newh=$h_g' alt=''><br>";
		}if(file_exists("files$did/$name.gif")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$name.gif&neww=$w_g&newh=$h_g' alt=''><br>";
		}if(file_exists("files$did/$name.png")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$name.png&neww=$w_g&newh=$h_g' alt=''><br>";
		}if(file_exists("files$did/$name.jpeg")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$name.jpeg&neww=$w_g&newh=$h_g' alt=''><br>";}
		if(file_exists("files$did/$fid.gif")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$fid.gif&neww=$w_g&newh=$h_g' alt=''><br>";}
		if(file_exists("files$did/$fid.pgn")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$fid.png&neww=$w_g&newh=$h_g' alt=''><br>";}
		if(file_exists("files$did/$fid.jpeg")){
			echo "<br>Скриншот: <img src='img.php?did=files$did&im=$fid.jpeg&neww=$w_g&newh=$h_g' alt=''><br>";}
}
echo "<br>Размер: <b>$siz Kb</b><br>";
//if($tip!=="mp3"){
if (is_file("files$did/$fid.txt")){
$op = @file_get_contents("files$did/$fid.txt");
echo "<b>Описание: </b>$op<br /><br />";}
//}

if ($sk_guest=="off" or file_exists("files$did/guest.offs")){
		if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {$skach = "on";}}else{$skach = "on";}
if($skach=="on"){
if(file_exists("files$did/$fid.off")!==true){
if($tip=="java"){echo "<br>Скачать: <a href='down.php?did=$did&fid=$fid&id=$id'>JAR</a>";

echo " ||<a href='jad.php?did=$did&fid=$fid'>JAD</a>";
echo"<br>Адрес JAR:<br><input size=90 value='http://$host$d/files$did/$fid'><br>";
if(file_exists("files$did/$name.jad")){echo"Адрес JAD:<br><input size=90 value='http://$host$d/files$did/$name.jad'><br>";}
}}}}

if($tip=="img"){
echo"<br><img src='img.php?did=files$did&im=$fid&neww=$w_g&newh=$h_g' alt=''><br>";
list($width, $height,,) = getimagesize("files$did/$fid");
echo "Оригинальный размер: <font color=\"red\">".$width."</font>x<font color=\"red\">".$height."</font><div><br />";

////////////////////// выбираем размер картинки для скачивания////////////////////
if ($sk_guest=="off" or file_exists("files$did/guest.offs")){
		if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {$skach = "on";}}else{$skach = "on";}
if($skach=="on"){
if(file_exists("files$did/$fid.off")!==true){
if ($format == "gif"){
echo "<a href='down.php?did=$did&fid=$fid&id=$id'>Скачать исходный файл </a>[<b>$siz Kb</b>]<br>";}
echo "Выберите размер (экран телефона)<br />";
echo "<form action='index.php?did=$did&fid=$fid&id=$id&act=img' method=\"post\">";
echo "<select name='size_im'>";
$s=array("128х128","128х160","132х176","176х176","176х208","176х220","208х208","240х266","240х320","480х640","600х800");
$i=0;
while (isset($s[$i])){
echo "<option value=$s[$i]>$s[$i]</option>";
$i++;}
echo "</select><br>";

echo "Или введите свой<br />";
echo "<input type=\"text\" size=\"4\" maxlength=\"4\" name=\"neww\"> х ";
echo "<input type=\"text\" size=\"4\" maxlength=\"4\" name=\"newh\"><br />";
echo"<input type=submit value='Скачать'></form><br />";}}
//////////////////////////////////////////////////////////////////////////////

if (is_file("files$did/$fid.txt")){
$op = @file_get_contents("files$did/$fid.txt");
echo "Описание: </b>$op<br /><br />";}}
if ($sk_guest=="off" or file_exists("files$did/guest.offs")){
		if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {$skach = "on";}}else{$skach = "on";}
if($skach=="on"){
if(file_exists("files$did/$fid.off")!==true){
if($tip!=="java"){if($tip!=="img"){echo "<br>[<a href='down.php?did=$did&fid=$fid&id=$id'>СКАЧАТЬ</a>]<br>";}
echo "<br>Скопировать адрес:<br><input tipe=text size=90 value='http://$host$d/files$did/$fid'><br>";}}}

 if(stristr($fid,'.zip')) {
  echo '<br>[<small><a href="zip.php?did=files'.$did.'&fid='.$fid.'">Просмотр архива</a></small>]<br />';
 }
echo 'Добавлен: <b>'.$datedob.'</b><br>';
if ($namelog!='') {echo 'Добавил: '.$namelog.'<br />';}
echo "Скачали: <b>$downs</b><br>";
if ($datesk!==$datpr){echo "Последнее скачивание: <b>$datesk</b><br>";}
echo "Отправили на E-mail: <b>$downms</b><br>";
if($tip!=="mp3"){
 if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if ($sk_guest=="off" or file_exists("files$did/guest.offs")){
		if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {$skach = "on";}}else{$skach = "on";}
if($skach=="on"){
if(file_exists("files$did/$fid.off")!==true){
/////////////////////////////отправка на E-mail////////////////////////////////
$maxfile=$m_file*1024;
if ($f_mail=='on' and filesize("files$did/$fid")<=$maxfile){
echo "<br>";
echo "<form action='mail.php?did=$did&fid=$fid&id=$id' method=post>
<input type=submit value='Отправить на E-mail!'></form>";}}}

///////////////////////////голосование///////////////////////////////
echo "<br><form action='index.php?did=$did&fid=$fid&act=gol' method=post>";
echo "<input type=submit value='Сказать спасибо!'></form>";
}
if(is_file("files$did/$fid.dat")){
$fn = file("files$did/$fid.dat");
$str = explode("|", $fn[0]);
echo "Сказали спасибо: [$str[0]]<br />Пользователи: ($str[1])";
}}
echo'<div>';

/////////////////////////////удаление временных файлов/////////////////////////////////
$odir = opendir("temp");
while ($file = readdir($odir)){
if (($file!==".")&&($file!=="..")){
$ftime = filectime("temp/$file");
$ttime = time();
if ($ttime >= $ftime+$f_temp*60){
unlink("temp/$file");
}}}
closedir($odir);

////////////////////////////мп3 нарезчик//////////////////////////////////
if($tip=="mp3"){

require_once "moduls/id.php";
$url = "files$did/$fid";
if($url!==''){
	$id3 = new MP3_Id();
	$result = $id3->read($url);
	$result = $id3->study();
print "<br><u>Качество:</u> ".$id3->getTag('mode')."<br/>";
if($id3->getTag('bitrate') != ''){
print "<u>Битрейт:</u> ".$id3->getTag('bitrate')." кбит/сек<br/>
<u>Длительность:</u> ".$id3->getTag('length')."<br/>";}
echo "<u>Частота дискретизации:</u> ".$id3->getTag('frequency')." Гц<br/>";
}
if ($sk_guest=="off" or file_exists("files$did/guest.offs")){
		if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {$skach = "on";}}else{$skach = "on";}
if($skach=="on"){
if(file_exists("files$did/$fid.off")!==true){
if($id3->getTag('bitrate') != ''){
print "
<form action=\"index.php?did=$did&fid=$fid&act=desc&mp=rez\" method=\"post\">
<br><font color='lime'>Внимание! Вы можете отрезать любую часть данной мелодии<br />
с последующей загрузкой в ваш браузер, большая просьба<br />
не использовать этот сервис просто так!<br></font><font color='red'>
Отрезанный файл необходимо сразу скачать т.к. он удалится через $f_temp мин.</font><br/>Нарезать трек:<br />
по времени<input name=\"way\" type=\"radio\" value=\"time\" checked>
по размеру<input name=\"way\" type=\"radio\" value=\"size\" ><br/>
Начать резку с(кб или сек):
<input type=\"text\" name=\"s\"/><br/>
Закончить по (кб или сек.):
<input type=\"text\" name=\"p\"/><br/>
<input type=\"submit\" value=\"Резать\"/>
</form>";
}else{
print "
<form action=\"index.php?did=$did&fid=$fid&act=desc&mp=rez\" method=\"post\">
<br><font color='lime'>Внимание! Вы можете отрезать любую часть данной мелодии<br />
с последующей загрузкой в ваш браузер, большая просьба<br />
не использовать этот сервис просто так!<br></font><font color='red'>
Отрезанный файл необходимо сразу скачать т.к. он удалится через $f_temp мин.</font><br/>";
$way = "size";
echo "Начать резку с кб:
<input type=\"text\" name=\"s\"/><br/>
Закончить по кб:
<input type=\"text\" name=\"p\"/><br/>
<input type=\"submit\" value=\"Резать\"/>
</form>";}

if($mp=="rez"){
if(!isset($s)||empty($s)){print "Вы не ввели число начала!<br/>"; $error = 1;}
if(!isset($p)||empty($p)){print "Вы не ввели число конца!<br/>"; $error = 1;}
$temp = 'temp/';
$rand = rand(10000000,99999999).".mp3";
$randintval = $temp.$rand;
if(copy($url,$randintval)){
$id3 = new MP3_Id();
$result = $id3->read($randintval);
$result = $id3->study();
$fp = fopen($randintval, "rb");
$raz = filesize($randintval);
$s = intval($s);
$p = intval($p);
if($way=="size"){
$s = $s*1024;
$p = $p*1024;
if($s>$raz||$s<0){$s = 0;}
if($p>$raz||$p<$s){$p = $raz;}}
else{
$id3 = new MP3_Id();
$result = $id3->read($randintval);
$result = $id3->study();
$byterate = $id3->getTag('bitrate')/8;
$secbit = $raz/1024/$byterate;
if($s>$secbit||$s<0){$s = 0;}
if($p>$secbit||$p<$s){$p = $secbit;}
$s = $s*$byterate*1024;
$p = $p*$byterate*1024;}
$p = $p-$s;
fseek($fp, $s);
$filefp = fread($fp, $p);
fclose($fp);
unlink($randintval);
$fp = fopen($randintval, "xb");
if(!fwrite($fp, $filefp) === FALSE){
header ("Location: index.php?did=$did&fid=$fid&act=desc");
header ("Location: $randintval");
}else{print "Ошибка!!!<br/>";}
}else{print "Ошибка!!!<br/>";}
fclose($fp);

}
}}}

## Коментарии
if($tip!=="mp3" && $tip!=="img"){
if($p_kom == "on"){
		## Обработка страниц
		$min = $page == 1 ? $min = 0 : $min = $kom_pg * ($page - 1);
		$max = $min + $kom_pg;
		$next = $page + 1;
		$prev = $page - 1;
		$file = im_chek(@$_GET['fid']);
		if (!is_file('files'.$did.'/'.$file))
		{
			echo 'Файла не существует.<br/>';
			if ($did != './') echo '[<a href="index.php?did='.$did.'&amp;">Назад</a>]<br/>';
			echo '[<a href="index.php">К загрузкам</a>
			<br/>[<a href="../">На главную</a>]';
			include_once"../themes/$config_themes/foot.php";
			break;
		}

if($isset=='adds'){
echo '<font color="red"><b>Коментарий успешно добавлен</b></font><br/>';}

if($komm=="ad"){
		if (isset($_POST['kom']) && isset($_POST['msg']))
		{
			$msg = $_POST['msg'];
			$str = strlen($msg);
			$error = '';
			if ($str < 6) $error .= 'Вы не написали комментарий или он слишком короткий<br/>';
			if($config_floodstime > 0){
			if(flooder($ip, $php_self) == TRUE ){$error .= 'Антифлуд! Нельзя так часто добавлять комментарии!<br/>';}
			$flood_file = fopen(BASEDIR."local/flood.dat", "a+");
			flock ($flood_file,LOCK_EX);
			fputs ($flood_file, time()."|$ip|$php_self|\r\n");
			fflush($flood_file);
			flock ($flood_file,LOCK_UN);
			fclose($flood_file);   
			}
			if (!$error)
			{
				$msg = wordwrap($msg,100,' ',1);
				$msg = substr($msg,0,1000);
				$msg = check_fulls($msg);

$msg=preg_replace ("|[\r\n]+|si","<br>",$msg);
$msg=str_replace(" ","<br>",$msg);
$msg=str_replace("§","<br>",$msg);

				if($_POST['trans'] == "y"){$msg = transliter($msg);}
				$msg = antimat($msg);
				$msg = smiles($msg);
				if (empty($log)) $log = $config_guestsuser;
				$date=date("d.m.y");
				$time=date("H:i");
				$text=$msg.'|'.$date.'|'.$time.'|'.$log.'|'.$me.'|';
				$text=preg_replace ("|[\r\n]+|si","",$text);

				$fp=fopen('files'.$did.'/'.$file.'.kom',"a+");
				flock ($fp,LOCK_EX);
				fputs($fp,"$text\r\n");
				flock ($fp,LOCK_UN);
				fclose($fp);
				chmod('files'.$did.'/'.$file.'.kom', 0666);

				## ПИШЕМ профиль
				$ufile = file(BASEDIR."local/profil/$log.prof");
				$udata = explode(":||:",$ufile[0]);
				$udata[14]=$ip;
				$udata[33]++;
				$udata[36]++;
				$udata[41]++;
				for ($u = 0; $u < $config_userprofkey; $u++) $utext .= $udata[$u].':||:';
				if($udata[0] != '' && $udata[1] != '' && $udata[4] != '' && $utext != '')
				{
					$fp = fopen(BASEDIR."local/profil/$log.prof","a+");
					flock($fp, LOCK_EX);
					ftruncate($fp, 0);
					fputs($fp, $utext);
					fflush($fp);
					flock($fp, LOCK_UN);
					fclose($fp);
					unset($utext);
				}

				header ('Location: index.php?did='.$did.'&fid='.$fid.'&act=desc&isset=adds&'.SID);
			}else echo '<font color="red"><b>'.$error.'</b></font>';
		}
			}

//----------------------- Удаление комментариев --------------------------------//
if ($dostup==101 || $dostup==102){
if (isset($topicxd)) { if ($topicxd!="") {
$topicxd=$topicxd-1;
$file=file('files'.$did.'/'.$fid.'.kom');

$fp=fopen('files'.$did.'/'.$fid.'.kom','w');
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) {unset($file[$topicxd]);}
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
chmod($fp, 0777);

header ('Location: index.php?did='.$did.'&fid='.$fid.'&act=desc&amp;'.SID);
//Сообщение успешно удалено!
exit; }}}

		echo '<br>Коментарии к файлу: '.$name1;
if ($kom_guest=="off"){
		if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {$dost = "on";}}else{$dost = "on";}
if($dost=="on"){
		echo '<hr/><form action="index.php?did='.$did.'&amp;fid='.$file.'&amp;act=desc&amp;komm=ad&amp;'.SID.'" method="post" name="REPLIER">
		<b>Сообщение:</b><br/>
		<textarea cols="25" rows="3" name="msg"></textarea><br/>
		Транслит: <input name="trans" type="checkbox" value="y"/><br/>
		<input type="submit" value="Написать" name="kom"/>
		</form><hr/>';}

		$file = @file('files'.$did.'/'.$file.'.kom');
		$file = array_reverse($file);
		$total = count($file);
		if($page != 0){
		$i=$page;}else{$i=0;}

		do {$i<=$total;
			if (empty($file)) continue;

			$data = explode("|",$file[$i]);
			$i2=round($i+1);
			$data[0]=eregi_replace("((https?|ftp)://[[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&._=/%]*(\\?[[:alnum:]?+&_=/%]*)?)?)", "<a href='\\1'>\\1</a>", $data[0]);
			$data[5]=str_replace("\r\n", "", $data[5]);
			echo"</div><div class=a>";
			$u=$i+1;
			if($data[3] == $config_guestsuser)
			{
				echo $u.'.<img src=\"inc/img/edit.gif\" alt=\"\"><b> '.$data[3].'</b> ';
			}
			else
			{
				$statwho='<font color="red">[Off]</font>';
 				$sublines=file("../local/online.dat");
				$subcount=count($sublines);
				for ($b=0; $b<$subcount; $b++)
				{
					$dt=explode("#",$sublines[$b]);
					if ($data[3]==$dt[2])
					{
						$statwho='<font color="#00FF00">[On]</font>';
					}
				}
				$ava = @file("../local/profil/$data[3].prof");
				$avv = explode(":||:",$ava[0]);
echo $u.'.<img src="inc/img/edit.gif" alt=""> <b><a href="../pages/anketa.php?uz='.$data[3].'&amp;'.SID.'">'.$data[3].'</a></b> '.$statwho;
			}
			echo"<small> ($data[2] / $data[1])</small></div><div>$data[0]<br>";
			if ($dostup==101 || $dostup==102){
			$del=$total-$i;
	echo '[<a href="index.php?topicxd='.$del.'&amp;did='.$did.'&fid='.$fid.'&amp;act=desc'.SID.'">Del</a>]';
	}echo ' <br><br>';
		$st = $page + $kom_count;
		$i++;
if($st>$total){$st=$total;}
		}while($i < $st);
			if($page != 0) {
		 echo '[<small><a href="?page='.($page-$kom_count).'&did='.$did.'&fid='.$fid.'&act=desc"><<Назад </a>]</small>';  }

	if($i < $total) {
	     echo ' <small>[<a href="?page='.($page+$kom_count).'&did='.$did.'&fid='.$fid.'&act=desc"> Вперед>></a>]</small>'; }

$lines=file('files'.$did.'/'.$fid.'.kom');
$a=count($lines);

$ba=ceil($a/$kom_count);
$ba2=floor(($a-1)/$kom_count)*$kom_count;
echo '<br>';

echo'<hr>Страницы:';
$asd=$page-($kom_count*3);
$asd2=$page+($kom_count*4);

if($asd<$a && $asd>0){echo ' <a href="index.php?fid='.$fid.'&amp;id='.$id.'&amp;page=0&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$a && $i>=0){
$ii=floor(1+$i/$kom_count);

if ($page==$i) {
echo ' <b>('.$ii.')</b>';
               }
                else {
echo ' <a href="index.php?did='.$did.'&amp;fid='.$fid.'&amp;page='.$i.'&amp;act=desc&amp;'.SID.'">'.$ii.'</a>';
                     }}
$i=$i+$kom_count;}
if($asd2<$a){echo ' ... <a href="index.php?did='.$did.'&amp;fid='.$fid.'&amp;page='.$ba2.'&amp;act=desc&amp;'.SID.'">'.$ba.'</a>';}
		page($total, $page, $kom_pg, $did.'&amp;fid='.$file, 0, 4);
		if ($total >= $config_maxpostdown)
		{
			$fp=fopen('files'.$did.'/'.$file.'.kom', "w");
			flock ($fp,LOCK_EX);
			unset($fils[1]);
			fputs($fp, implode("",$fils));
			flock ($fp,LOCK_UN);
			fclose($fp);
			chmod("files$did/$file.kom", 0666);
		}
  if(file_exists('files'.$did.'/'.$fid.'.kom'))
   {
    $cv = @file('files'.$did.'/'.$fid.'.kom');
	$count = count($cv);
if (is_file("files$did/$fid")){
$dik=str_replace("/", "", $did);
if(is_file("baze/$dik.baz")){
$fn=file("baze/$dik.baz");
$fp=fopen("baze/$dik.baz","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
	foreach ($fn as $n=>$f){
		$data = explode("|",$fn[$n]);
		if ($data[11]=="$did/$fid"){$kol=$count;
		$zap="$data[0]|$data[1]|$data[2]|$kol|$data[4]|$data[5]|$data[6]|$data[7]|$data[8]|$data[9]|$data[10]|$data[11]|\r\n";
		fputs($fp,"$zap");}
		else{fputs($fp,$fn[$n]);}
		fflush ($fp);
	}
flock ($fp,LOCK_UN);
fclose($fp);
@chmod("$fp", 0666);
}}
unset($count);
}}}

echo "<br>[<a href='?did=$did&fid=$fid'>Назад</a>]";
}
else echo "<font color=FF0000 ><big>Запрошеного файла не существует</big></font>
 <br>[<a href='?did=$did'>Назад</a>]<br>";}
 
////////////////////////// голосование ////////////////////////////////
if($act=="gol"){
 if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog) {

$fn=@file_get_contents("files$did/$fid.dat");
$str=explode("|",$fn);
$niks=explode(",",$str[1]);
if(in_array($provlog, $niks)==false){
if (is_file("files$did/$fid")){
$fp=fopen("files$did/$fid.dat","a+");
ftruncate ($fp,0);
$data = explode("|",$fn);
$kol=$data[0]+1;
if($data[1]==''){$nik=$provlog;}else{$nik=("$data[1],$provlog");}
$zap="$kol|$nik";
fputs($fp,"$zap");
fclose($fp);
@chmod("$fp", 0666);
}
header ("Location: index.php?did=$did&fid=$fid&act=desc&amp;".SID);

}else{echo 'Вы уже выразили автору файла свою благодарность! Нельзя два раза голосовать за файл.';}

}else{echo'Вы не авторизованы,<br> для оставления голоса вам необходимо <a href="../pages/vhod.php?'.SID.'"> авторизоваться</a><br>';
echo'или сперва <a href="../pages/registration.php?'.SID.'"> зарегистрироваться</a><br><br>'; }

echo "<br>[<a href='?did=$did&fid=$fid&act=desc'>Назад</a>]";
echo "<div></div>[<a href='index.php?'>К разделам</a>]<br>";
echo "<div></div>[<a href='../index.php'>На главную</a>]";
include_once"../themes/$config_themes/foot.php";
}
/////////////////////////////////////////////////////////////////////////
}
else{
if ($tip != "no" && $tip != "all"){
if ($_GET['s'] != 1 && $_GET['s'] != 2 && $_GET['s'] != 3) $s = 2; else $s = $_GET['s'];
if(!is_file("files$did/alf.onn")){
if($s==2){
echo 'Сортировать по:<br/>
		Дате |
		<a href="index.php?s=1&amp;did='.$did.'&amp;p='.$p.'">Имени</a> | 
		<a href="index.php?s=3&amp;did='.$did.'&amp;p='.$p.'">Популярности</a><br/>';}
if ($s==1){
echo 'Сортировать по:<br/>
		<a href="index.php?s=2&amp;did='.$did.'&amp;p='.$p.'">Дате</a> |
		Имени | 
		<a href="index.php?s=3&amp;did='.$did.'&amp;p='.$p.'">Популярности</a><br/>';}		
if ($s==3){
echo 'Сортировать по:<br/>
		<a href="index.php?s=2&amp;did='.$did.'&amp;p='.$p.'">Дате</a> |
		<a href="index.php?s=1&amp;did='.$did.'&amp;p='.$p.'">Имени</a> | 
		Популярности<br/>';}		
		}}

if($isset=='addguest'){
echo '<font color="red"><b>Скачивание файлов из папки гостям успешно запрещено!</b></font><br/>';}
if($isset=='errorguest'){
echo '<font color="red"><b>Ошибка!</b></font><br/>';}
if($isset=='delguest'){
echo '<font color="red"><b>Скачивание файлов из папки гостям успешно разрешено!</b></font><br/>';}

if($isset=='addalf'){
echo '<font color="red"><b>Подпапки /файлы/ успешно реорганизованы по алфавиту!</b></font><br/>';}
if($isset=='erroralf'){
echo '<font color="red"><b>Ошибка!</b></font><br/>';}
if($isset=='delalf'){
echo '<font color="red"><b>Подпапки /файлы/ успешно реорганизованы по списку!</b></font><br/>';}	

if(is_file("files$did/alf.onn")){
if($ff!==""){
$odir = opendir("files$did");
while(($fid=readdir($odir))!==false){
if ( (($fid!=".")&&($fid!="..")) and is_dir("files$did/$fid"))
{
$fff = substr($fid, 0, 1);
if (stristr($fff, $ff)){
$all_dir[$fid]="/$fid";
$total_dir+=1;}}}
closedir($odir);

$files = array();
$odir = opendir("files$did");
while(($fid = readdir($odir))!==false){$format=format($fid);
if ((($fid!==".")&&($fid!=="..")) and ((array_search($format,$oform)==true) or $tip=="all") and !is_dir("files$did/$fid")){
$fff = substr($fid, 0, 1);
if (stristr($fff, $ff)){
$kf[]="$fid";
$total_files+=1;}}
}
closedir($odir);
$all_page=ceil($total_files/$col);
if($did)
{$di=strrpos($did,"/"); $di=substr($did,$di+1,999);
if(file_exists("files$prev_dir/dir.name")){$di=dir_name($di,$prev_dir);}
else {$di=latin_to_utf($di);}

echo "</div><div class=b><img src='inc/img/folder_open.png' alt=''><b>$di</b></div>";}
sort($files); sort($all_dir);

foreach($all_dir as $id=>$titl)
{
if(file_exists("files$did/dir.name")){$id=dir_name($titl,$did);}
else {$id=latin_to_utf($titl);}
$id=str_replace("/","",$id);

list($total, $tot_new) = put_count("files$did$titl");
$tota = $total;
if ($tot_new > 0) $tota .= '/ <font color="red">+'.$tot_new.'</font>';
echo "<b><a href='?did=$did$titl'>$id</a></b> [".$tota."]<br>";}
}
if (!$ff){
echo '<div class="b">';
echo "[ <a href='?did=$did$titl&ff=a'>Aa</a> ] [ <a href='?did=$did$titl&ff=b'>Bb</a> ] [ <a href='?did=$did$titl&ff=c'>Cc</a> ] [ <a href='?did=$did$titl&ff=d'>Dd</a> ] [ <a href='?did=$did$titl&ff=e'>Ee</a> ]<br />";

echo "[ <a href='?did=$did$titl&ff=f'>F f</a> ] [ <a href='?did=$did$titl&ff=g'>Gg</a> ] [ <a href='?did=$did$titl&ff=h'>H h</a> ] [ <a href='?did=$did$titl&ff=i'>&nbsp;I i</a> ] [ <a href='?did=$did$titl&ff=j'>J j</a> ]<br />";

echo "[ <a href='?did=$did$titl&ff=k'>Kk</a> ] [ <a href='?did=$did$titl&ff=l'>Ll</a> ] [ <a href='?did=$did$titl&ff=m'>Mm</a>] [ <a href='?did=$did$titl&ff=n'>Nn</a> ] [ <a href='?did=$did$titl&ff=o'>Oo</a> ]<br />";

echo "[ <a href='?did=$did$titl&ff=p'>Pp</a> ] [ <a href='?did=$did$titl&ff=q'>Qq</a> ] [ <a href='?did=$did$titl&ff=r'>Rr</a> ] [ <a href='?did=$did$titl&ff=s'>Ss</a> ] [ <a href='?did=$did$titl&ff=t'>T t</a> ]<br />";

echo "[ <a href='?did=$did$titl&ff=u'>Uu</a> ] [<a href='?did=$did$titl&ff=w'>Ww</a>] [ <a href='?did=$did$titl&ff=v'>V v</a>] [ <a href='?did=$did$titl&ff=x'>Xx</a> ] [ <a href='?did=$did$titl&ff=y'>Yy</a> ]<br />";

echo "[ <a href='?did=$did$titl&ff=z'>Zz</a> ] [ <a href='?did=$did$titl&ff=1'>1</a> ] [ <a href='?did=$did$titl&ff=2'>2</a> ] [ <a href='?did=$did$titl&ff=3'>3</a> ] [ <a href='?did=$did$titl&ff=4'>4</a> ] [ <a href='?did=$did$titl&ff=5'>5</a> ]<br />";

echo "[ <a href='?did=$did$titl&ff=6'>6</a> ] [ <a href='?did=$did$titl&ff=7'>7</a> ] [ <a href='?did=$did$titl&ff=8'>8</a> ] [ <a href='?did=$did$titl&ff=9'>9</a> ] [ <a href='?did=$did$titl&ff=0'>0</a> ]";

$files = array();
$odir = opendir("files$did");
while(($fid = readdir($odir))!==false){$format=format($fid);
if ((($fid!==".")&&($fid!=="..")) and ((array_search($format,$oform)==true) or $tip=="all") and !is_dir("files$did/$fid")){$total_files+=1;}}
closedir($odir);

$ff = '';
echo '</div>';}

}else{
$odir=opendir("files$did");
while(($fid=readdir($odir))!==false){
if ( (($fid!=".")&&($fid!="..")) and is_dir("files$did/$fid"))
{$all_dir[$fid]="/$fid";$total_dir+=1;}}
closedir($odir);

if($did)
{$di=strrpos($did,"/"); $di=substr($did,$di+1,999);
if(file_exists("files$prev_dir/dir.name")){$di=dir_name($di,$prev_dir);}
else {$di=latin_to_utf($di);}

echo "<div class=b><img src='inc/img/folder_open.png' alt=''><b>$di</b></div>";}
sort($files); sort($all_dir);

foreach($all_dir as $id=>$titl)
{echo "<UL>";

if(file_exists("files$did/dir.name")){$id=dir_name($titl,$did);}
else {$id=latin_to_utf($titl);}
$id=str_replace("/","",$id);

list($total, $tot_new) = put_count("files$did$titl");
if($total==''){$total=0;}
$tota = $total;
if ($tot_new > 0) $tota .= '/ <font color="red">+'.$tot_new.'</font>';
echo "<li><img src='inc/img/folder.png' alt=''>
<b><a href='?did=$did$titl'>$id</a></b> [".$tota."]<br>";
if ($p_kat=='on'){
$odir = opendir("files$did$titl");
while ($file = readdir($odir))
{if (is_dir("files$did$titl/".$file) && $file != '.' && $file != '..'){
if(file_exists("files$did$titl/dir.name")){$id=dir_name($file,$did.$titl);}
else {$id=latin_to_utf($file);}
$id=str_replace("/","",$id);
list($total, $tot_new) = put_count("files$did$titl/$file");
if($total==''){$total=0;}
$tot = $total;
if ($tot_new > 0) $tot .= '/ <font color="red">+'.$tot_new.'</font>';
echo "-&#187; <a href='?did=$did$titl/$file'><small>$id</small></a> (".$tot.")</left><br> ";
}}
closedir($odir);
}
echo "</li>";

echo "</UL>";}
}
////// Сортировать файлы: 1-по алфавиту, 2-по дате, 3-по популярности/////////
if(!is_file("files$did/alf.onn")){		
if ($_GET['s'] != 1 && $_GET['s'] != 2 && $_GET['s'] != 3) $s = 2; else $s = $_GET['s'];
$files = array();
$dik = str_replace("/", "", $did);
if(is_file("baze/$dik.baz")){
$fn = @file("baze/$dik.baz");
$total_files = count($fn);}else{$total_files = 0;}
$all_page=ceil($total_files/$col);
for($i=0; $i<$total_files; $i++){
	$data = explode("|",$fn[$i]);
	$fid = $data[9].'.'.$data[10];
	$tf = $data[6];
	$dw = $data[1];
		if($s == 1 || $s == 2 || $s == 3){
				if ($s == 1)
				{
					$files[$fid] = $fid;
				}
				if ($s == 2)
				{
					$files[$fid] = $tf;
				}
				if ($s == 3)
				{
					$files[$fid] = $dw;
				}}else{$files[$fid]="$fid";}
}
////////////////////////Вывод файлов/////////////////////////
## Сортировка
			if ($s != 1)
			{
				arsort($files);
				$kf = array_keys($files);
			}
			else
			{
				asort($files);
				$kf = array_keys($files);
			}
			unset($files);
}

foreach ($kf as $n=>$fid){
if($n>=$min and $n<=$max){

$dik=str_replace("/", "", $did);
$f = substr($dik, 0, 1);
$did = stristr($did, $f);
$did = "/$did";
$fn=@file("baze/$dik.baz");
	foreach ($fn as $n=>$f){
		$data = explode("|",$fn[$n]);
		if($data[11]=="$did/$fid"){$id=$data[0];
		$format=$data[10];
		$nam=$data[8];
		$name=$data[9];
		$downs=$data[1];
		$downms=$data[2];
		$ck=$data[3];
		$namelog=$data[4];
		if($data[5]==''){$data[5] = 0;}
		$datesk=date("d.m.y - H:i",$data[5]);
		$datedob=date("d.m.y - H:i",$data[6]);
		$siz=number_format(($data[7]/1024),2);}
	}
$datpr=date("d.m.y - H:i",0);
if(in_array($format, $oform)){
if($tip!=="no"){
if($tip=="img"){
	echo"<img src='img.php?did=files$did&im=$fid&neww=$wg&newh=$hg' alt=''><br />";
}

if($nam == ''){$nam = $name;}
echo "<img src='inc/img/disk.png' alt=''> <a href='index.php?did=$did&fid=$fid&act=desc'> $nam</a> [$siz Kb]";

if($tip!=="img"){if(file_exists("files$did/$name.jpg")){
			echo " [<a href='img.php?did=files$did&im=$name.jpg&neww=$w_g&newh=$h_g'>Скриншот</a>]";
		}if(file_exists("files$did/$name.gif")){
			echo " [<a href='img.php?did=files$did&im=$name.gif&neww=$w_g&newh=$h_g'>Скриншот</a>]";
		}if(file_exists("files$did/$name.png")){
			echo " [<a href='img.php?did=files$did&im=$name.png&neww=$w_g&newh=$h_g'>Скриншот</a>]";
		}if(file_exists("files$did/$name.jpeg")){
			echo " [<a href='img.php?did=files$did&im=$name.jpeg&neww=$w_g&newh=$h_g'>Скриншот</a>]";
		}if(file_exists("files$did/$fid.jpg")){
			echo " [<a href='img.php?did=files$did&im=$fid.jpg&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
		if(file_exists("files$did/$fid.gif")){
			echo " [<a href='img.php?did=files$did&im=$fid.gif&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
		if(file_exists("files$did/$fid.png")){
			echo " [<a href='img.php?did=files$did&im=$fid.png&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
		if(file_exists("files$did/$fid.jpeg")){
			echo " [<a href='img.php?did=files$did&im=$fid.jpeg&neww=$w_g&newh=$h_g'>Скриншот</a>]";}
	}
if ($sk_guest=="off" or file_exists("files$did/guest.offs")){
		if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {$skach = "on";}}else{$skach = "on";}
if($skach=="on"){
if(file_exists("files$did/$fid.off")!==true){
if($tip!=="java" && $tip!=="img"){echo"[<a href='down.php?did=$did&fid=$fid&id=$id'>Скачать</a>] ";}
if($tip=="java"){
if(file_exists("files$did/$name.jar")){ echo "[<a href='down.php?did=$did&fid=$fid&id=$id'>Скачать JAR</a>]";}

if(file_exists("files$did/$name.jad")){echo"[<a href='down.php?did=$did&fid=$name.jad&id=$id'>Скачать JAD</a>]";}}}}

if($tip!=="img"){if ($ch_op == '1'){
if ($str = show_abs($did,$fid)){if ($str !== "..."){ echo '<div></div><b>Описание:  </b>'.$str;}}}
if($p_kom == "on"){
if($tip!=="mp3"){
echo '<div></div><a href="index.php?fid='.$fid.'&did='.$did.'&amp;act=desc&amp;'.SID.'">Комментарии</a></small>';
echo ' ('.$ck.')</small>';}}}

echo '<br />Добавлен: '.$datedob.'<br />Скачали: ['.$downs.']<br />';
if ($datesk!=$datpr){echo "Последний: $datesk<br />";}
if ($namelog!=''){ echo 'Добавил: '.$namelog.'<br />';}
if($tip!=="mp3" && $tip!=="img"){
if(is_file("files$did/$fid.dat")){
$fn = file("files$did/$fid.dat");
$str = explode("|", $fn[0]);
echo "Оценок: [$str[0]]";
}}
echo "<hr>";
}
}}}
if (is_file("files$did/alf.onn")==false){
if(($tip=="no" and !isset($all_dir)) or (($total_files=="" or $total_files==0) and !isset($all_dir))){echo"Файлов в каталоге пока нет.";}}
if($total_files=="") $total_files=0;
echo "</div><div class=c>";if($total_dir){echo "<b>Всего папок: $total_dir</b><br></div><div>";}
if($tip=="file" or $tip=="all"){echo "</div><div><b>Всего Файлов: $total_files</b><br>";}
if($tip=="img"){echo "<b>Всего картинок: $total_files</b><br>";}
if($tip=="java"){echo "<b>Всего JAVA: $total_files</b><br>";}
if($tip=="themes"){echo "<b>Всего тем: $total_files</b><br>";}
if($tip=="mp3"){echo "<b>Всего песен: $total_files</b><br>";}
if($tip=="video"){echo "<b>Всего видео: $total_files</b><br>";}
echo "</div>";
if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if(file_exists("files$did/users.offs")){
echo "<div><center>Загрузить файл<br>Выбери тип выгрузки:<br>[<a href='Upl.php?did=$did'>ПК Выгрузка</a>]<br>
[<a href='Upl_opera.php?did=$did'>Opera mini Выгрузка</a>]<br></center>";}}
if($all_page>1){

if($p==1){echo"<div class='b'><< Назад |";}

else {echo "<div class=b><a href=\"?s=$s&did=$did&p=$prev&ff=$ff\"><< Назад </a>|";}
if($p>=$all_page) echo " Далее >></div>";
else { echo"<a href=\"?s=$s&did=$did&p=$next&ff=$ff\"> Далее >></a></div>";}

$start = ($p-1)*$col;
$ba=ceil($total_files/$col);
$ba2=$ba*$col-$col;

echo 'Страницы:';
$asd=$start-($col*3);
$asd2=$start+($col*4);

if($asd<$total_files && $asd>0){echo " <a href='?s=$s&did=$did&p=1&ff=$ff'>1</a> ... ";}

for($i=$asd; $i<$asd2;)
{
if($i<$total_files && $i>=0){
$ii=floor(1+$i/$col);

if ($start==$i) {
echo "<b> $ii </b>";
               }
                else {
echo "<a href='?s=$s&did=$did&p=$ii&ff=$ff'> $ii </a>";
                     }}

$i=$i+$col;}
if($asd2<$total_files){echo ' ... <a href="index.php?s='.$s.'&did='.$did.'&p='.$ba.'&amp;ff='.$ff.'&amp;'.SID.'">'.$ba.'</a>';
}
}
if(is_file("files$did/alf.onn") and $ff!==""){
if($did!==""){echo "<hr>[<a href='?did=$did'>Назад</a>]";}}else{
if($did!==""){echo "<hr>[<a href='?s=$s&did=$prev_dir'>Назад</a>]";}}
}
if($did!==""){
echo "<br />[<a href='index.php?'>К разделам</a>]<br>";}
echo "[<a href='../index.php'>На главную</a>]";
///////////////////////////////////////////////////////////////////////////
if ($sk_guest=="off" or file_exists("files$did/guest.offs")){
		if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {$skach = "on";}}else{$skach = "on";}
if($skach!=="on"){echo '<br /><font color="red">Вы не авторизованы,</font><br> для того чтобы иметь возможность скачивать файлы вам необходимо <a href="../pages/vhod.php?'.SID.'"> авторизоваться</a><br>';
echo'или сперва <a href="../pages/registration.php?'.SID.'"> зарегистрироваться</a><br><br>'; }

if ($dostup==101 || $dostup==102 || $dostup==103){include "inc/back.inc";}
///////////////////////////////////////////////////////////////////////////
include_once"../themes/$config_themes/foot.php";

?>